---
updatedAt: 2025-05-07T22:31:05.000Z
agentTools:
  projectIndex: https://mealmeapi.readme.io/llms.txt
---

# Search For A Cart

Use this API to search for a set of products from over half a billion total products from grocery stores, electronic stores, etc. in the US and Canada.

# OpenAPI definition

````json
{
  "openapi": "3.0.0",
  "paths": {
    "/search/cart": {
      "get": {
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Store_Cart_Search_Output"
                }
              }
            }
          },
          "400": {
            "description": "Input Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error_-_Input_Validation"
                }
              }
            }
          },
          "401": {
            "description": "Missing Authorization",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error_-_Unauthorized"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Too_Many_Requests"
                }
              }
            }
          }
        },
        "summary": "Search For A Cart",
        "operationId": "get_search_cart",
        "parameters": [
          {
            "name": "query",
            "in": "query",
            "required": true,
            "description": "A dictionary mapping each product query to the desired quantity",
            "schema": {
              "type": "string",
              "default": "{\"Whole Milk\": 1, \"Eggs\": 1}"
            }
          },
          {
            "name": "store_name",
            "in": "query",
            "description": "The store from which to search for carts within.",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "menu_id",
            "in": "query",
            "description": "The ID of the menu from which to search for carts within. The menu ID is provided by [Get Inventory](https://docs.mealme.ai/reference/get_inventory_details_v4).",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "user_latitude",
            "in": "query",
            "required": true,
            "description": "The latitude of the user.",
            "schema": {
              "type": "number",
              "default": 37.7786357
            }
          },
          {
            "name": "user_longitude",
            "in": "query",
            "required": true,
            "description": "The longitude of the user. In the US, this value is negative.",
            "schema": {
              "type": "number",
              "default": -122.3918135
            }
          },
          {
            "name": "pickup",
            "in": "query",
            "description": "If `true`, filter stores to only those that offer pickup. If `false`, filter to only stores with delivery.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "budget",
            "in": "query",
            "description": "The maximum amount, in Dollars, that the user has specified they'd like to spend on an order. Required for applying a `cheapest` sort.",
            "schema": {
              "type": "number",
              "default": 20
            }
          },
          {
            "name": "cuisine",
            "in": "query",
            "description": "The cuisine to filter products by.",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "user_street_num",
            "in": "query",
            "description": "Street number of the user. Required if `fetch_quotes` is `true` and `pickup` is `false`.",
            "schema": {
              "type": "string",
              "default": "188"
            }
          },
          {
            "name": "user_street_name",
            "in": "query",
            "description": "Street name of the user. Required if `fetch_quotes` is `true` and `pickup` is `false`.",
            "schema": {
              "type": "string",
              "default": "King Street"
            }
          },
          {
            "name": "user_city",
            "in": "query",
            "description": "City of the user. Required if `fetch_quotes` is `true` and `pickup` is `false`.",
            "schema": {
              "type": "string",
              "default": "San Francisco"
            }
          },
          {
            "name": "user_state",
            "in": "query",
            "description": "State abbreviation of the user. Required if `fetch_quotes` is `true` and `pickup` is `false`.",
            "schema": {
              "type": "string",
              "default": "CA"
            }
          },
          {
            "name": "user_zipcode",
            "in": "query",
            "description": "Zipcode of the user. Required if `fetch_quotes` is `true` and `pickup` is `false`.",
            "schema": {
              "type": "string",
              "default": "94107"
            }
          },
          {
            "name": "user_country",
            "in": "query",
            "description": "Country of the user. Can be `US` or `CA`. Required if `fetch_quotes` is `true` and `pickup` is `false`.",
            "schema": {
              "type": "string",
              "default": "US"
            }
          },
          {
            "name": "fetch_quotes",
            "in": "query",
            "description": "Whether to fetch realtime delivery/pickup quotes. Note that this being `true` greatly increases response time. Note that if this is `true` and the `query` is also empty then store hours will not be in the response.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The sort type. Can be `cheapest`, `fastest`, `rating`, `distance` or the default `relevance`.",
            "schema": {
              "type": "string",
              "default": "relevance"
            }
          },
          {
            "name": "full_carts_only",
            "in": "query",
            "description": "Whether to strictly return complete carts which contain product(s) for every product query in `query`.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          },
          {
            "name": "split_cart",
            "in": "query",
            "description": "Whether to return carts split across multiple stores.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "fuzzy_search",
            "in": "query",
            "description": "Whether to perform a lenient search that returns relevant products that may not exactly match the `query`.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "open",
            "in": "query",
            "description": "Whether or not to return only open restaurants.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "maximum_miles",
            "in": "query",
            "description": "ex: `1.5`. The maximum distance allowed, in miles.",
            "schema": {
              "type": "number",
              "default": 1.5
            }
          },
          {
            "name": "dollar_signs",
            "in": "query",
            "description": "ex: `2` (which would signal $$). Cost for the average meal. This can represent `1` ($) for the cheapest stores or `4` ($$$$) for the most expensive stores.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "minimum_rating",
            "in": "query",
            "description": "ex: `4.6`. The minimum rating allowed.",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "sale",
            "in": "query",
            "description": "Whether to search for products that are currently on sale.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "search_in_category",
            "in": "query",
            "description": "The category of the menu to search for carts within. The list of a menu's categories are provided by [Get Inventory](https://docs.mealme.ai/reference/get_inventory_details_v4).",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "use_new_db",
            "in": "query",
            "description": "Whether to perform the cart search among a new database. Note that if `use_new_db` is `true`, `use_new_db` must also be `true` when making a request to [Get Inventory](https://docs.mealme.ai/reference/get_inventory_details_v4) or [Get MealMe Store](https://docs.mealme.ai/reference/get_store_lookup_v2) with any store `_id` returned from this request.",
            "schema": {
              "type": "boolean",
              "default": true
            }
          }
        ],
        "security": [
          {
            "apikey": []
          }
        ],
        "tags": [
          "Search"
        ]
      }
    }
  },
  "info": {
    "title": "The MealMe API",
    "version": "1.0",
    "description": "# Self-Serve API for out-of-the-box checkout from millions of stores for delivery & pickup.\n## About MealMe\n- Download the MealMe app as a live demonstration of what The Food API can power: https://apps.apple.com/us/app/mealme/id1460140965\n- MealMe was started in 2018. The Food API has powered the MealMe app in 2021 to earn millions in sales, ranking as one of the Top 50 Food & Drink apps for the entire year and getting featured as App of The Day.\n## API Features\n### Search the largest selection of restaurants & grocery stores\n- Our search engine includes the majority of grocery stores & restaurants & convenience stores in the US\n- MealMe's Checkout API aggregates the realtime updates of individual webpages for the most up-to-date information, unlike crowdsourced data APIs like Yelp.\n### Browse real-time restaurant menus & grocery inventory\n- Every menu item & grocery product returned includes real-time ordering availability, prices, and even item customizations and modifiers.\n- This means we have a more detailed, more accurate, and more actionable selection of restaurant menus, grocery inventory, and food products than any other food API in the US.\n\n### Get the cheapest & fastest delivery quotes\n- Our delivery selection in the USA includes dozens of third-party delivery services and courier services as well as over 100,000 stores with their own drivers.\n- This means we have cheaper and faster delivery quotes than any other food API in the US.\n### Order anything\n- Right out of the box, our API allows sending an order to 1M+ stores and 100M+ products for pickup or delivery.\n- This means that we have a larger ordering selection than any other API in the US. \n## API Endpoints\n* **`/restaurants`**: The Restaurant API \n     * **`/search`**: The Restaurant Search API \n         * **`/cart`**: The Restaurant Cart Search API \n         * **`/item`**: The Restaurant Menu Item Search API \n         * **`/store`**: The Restaurant Store Search API \n     * **`/details`**: The Restaurant Details API \n         * **`/item`**: The Restaurant Menu Item API \n         * **`/menu`**: The Restaurant Menu API \n         * **`/quotes`**: The Restaurant Delivery & Pickup API \n* **`/groceries`**: The Grocery API \n     * **`/search`**: The Grocery Search API \n         * **`/cart/v2`**: The Grocery Cart Search API \n         * **`/product/v2`**: The Grocery Product Search API \n         * **`/store`**: The Grocery Store Search API \n     * **`/details`**: The Grocery Details API \n         * **`/product`**: The Grocery Product API \n         * **`/products`**: The Grocery Store Inventory API \n         * **`/quotes`**: The Grocery Delivery & Pickup API \n* **`/order`**: The Food Ordering API \n     * **`/add_payment_method`**: The Add Payment Method API \n     * **`/finalize`**: The Delivery and Pickup Ordering API \n     * **`/order`**: The Delivery and Pickup Ordering API \n* **`/courier`**: The Courier Ordering API \n     * **`/cancel`**: The Courier Order Cancel API \n     * **`/order`**: The Last-Mile Ordering API \n     * **`/quote`**: The Courier Quote API \n* **`/account`**: The Client Account Stats API \n     * **`/billing`**: The Client Account Billing API \n         * **`/fees`**: The Client Account Endpoint Fees API \n         * **`/orders`**: The Client Account Completed Orders API \n     * **`/orders`**: The Client Account Orders Listing API \n     * **`/requests`**: The Client Account Endpoint Requests Listing API \n* **`/customer`**: The Customer Service API \n     * **`/service`**: The Customer Service API \n         * **`/exit_chat`**: The Customer Service Chat Exit API \n         * **`/fetch_chat_ids`**: The Customer Service Chat Fetching API \n         * **`/initiate_chat`**: The Customer Service Initiating Chat API \n         * **`/read_messages`**: The Customer Service Read Chat API \n         * **`/send_message`**: The Customer Service Messaging API \n* **`/location`**: The Location Geocoding API \n     * **`/geocode`**: The Address to Coordinates API \n     * **`/reverse_geocode`**: The Coordinates to Address API \n* **`/places`**: The Places API \n     * **`/search`**: The Places Search API \n     * **`/inventory`**: The Places Inventory API \n     * **`/checkout`**: The Places Checkout API \n* **`/utilities`**: The Utilities API \n     * **`/add_store`**: The Adding Store By Google Place ID API \n     * **`/grocery_store_lookup`**: The Grocery Store Lookup API \n     * **`/restaurant_store_lookup`**: The Restaurant Lookup API \n\n## API Tutorial for Python\nWant a tutorial for another language? Reach out to api@mealme.ai!\n\n### 0. Get your API Key \n- **In this sandbox website**: enter your API Key into the green \"Authorize\" lock button on the right \n- **In your code**: pass the API Key into the `id_token` HTTP Header \n\n### 1. Navigate this sandbox\n1. First, choose to focus on the **Groceries API** or **Restaurants API** (`/groceries` or `/restaurants`) \n2. Try out the **Store Search API** (`/search/store`)\n   - At this point, test that your API Key works!\n   - To get started, try the example San Francisco search query by hitting the \"Try it out\" button then the blue \"Execute\" button.\n3. Take a `quote_id` from a store and pass it into the **Quote API** (`/details/quotes`) or **Menu API** (`/details/menu` or `/details/inventory`) \n\n### 2. Integrate the API with one line of code\nOpen terminal and type these commands to set up your environment. Ensure you already have python3 installed.\n```\npip3 install requests\npython3\nimport requests \n```\nYour terminal is now showing a shell to execute python3 commands. Execute the API request command:\n```\nprint(requests.get(f\"https://mealme-4.mealme.ai/restaurants/search/store?query=pizza&latitude=37.7786357&longitude=-122.3918135\", headers={\"Id-Token\": \"API:KEY\"}).json()) \n```\nBe sure you replaced \"API:KEY\" with your actual API Key! You'll see a JSON of pizza stores nearby.\n\n### 3. Run Sample Project\nThe sample code prints out the first available menu at a pizza store nearby. Download the sample project here: https://drive.google.com/file/d/1pk_fIEYr4Qf0coAphm4UZ975dQVYtTKM/view?usp=sharing \n\n## FAQ \n- Why aren't response times always fast?\n    - The sandbox website is slow to load massive JSON responses, especially for the Search API, so use Postman instead for API requests to speed it up by several seconds. In fact, really big responses get the error \"RangeError: Maximum call stack size exceeded.\"\n    - The sandbox server is much, much less performance-optimized than the production servers.\n- Should I request the `/details/item` or `/details/product` API if customizations were returned from the `/details/menu` or `/details/products` API?\n    - No. Do not call the item or product details endpoint if menu or inventory API returns `should_fetch_customizations: false` in its response.\n        - If the menu or products API returns `should_fetch_customizations: false`, then the product customizations are returned in the menu response.\n    - Even if the \"customizations\" key is empty, that's fine. That means there's no customizations for that item.\n- Why does the blue \"Execute\" button sometimes do nothing when I click it?\n    - This means your input data is invalid, such as an invalid JSON for a POST request.\n\n## API Status Codes \nWe get alerted of anything that's not a 200. If it's urgent, do not hesitate to email api@mealme.ai - we will get back to you ASAP! These are the general guidelines for the API status codes. See individual routes for specific status codes. \n\n`200 OK` - Response to a successful request.\n\n`400 Bad Request` - Malformed request; request body validation errors.\n\n`401 Unauthorized` - When no or invalid authentication details are provided.\n\n`403 Forbidden` - When authentication succeeded but authenticated user doesn't have access to the resource.\n\n`404 Not Found` - When a non-existent endpoint is requested.\n\n`406 Unavailable` -  When a delivery or pickup service or store is unavailable right now.\n\n`422 Unprocessable Entity` - The request was well-formed but was unable to be not acceptable.\n\n`500 Server Error` - The server encountered an unexpected condition which prevented it from completing the request.\n\n`501 Not Implemented` - The HTTP method is not supported by the server and cannot be handled.\n\n`502 Bad Gateway` - The server got an invalid response while working as a gateway to get a response needed to handle the request.\n\n`503 Service Unavailable` - The server is not ready to handle the request.\n\n`504 Gateway Timeout` - The server is acting as a gateway and cannot get a response in time for a request.\n\n"
  },
  "tags": [
    {
      "name": "Search",
      "description": "Universal Search API"
    }
  ],
  "servers": [
    {
      "url": "https://api.mealme.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "apikey": {
        "type": "apiKey",
        "in": "header",
        "name": "Id-Token"
      }
    },
    "schemas": {
      "Store": {
        "required": [
          "_id",
          "address",
          "aggregated_rating_count",
          "cuisines",
          "delivery_enabled",
          "description",
          "dollar_signs",
          "food_photos",
          "hours",
          "is_open",
          "local_hours",
          "logo_photos",
          "miles",
          "name",
          "offers_first_party_delivery",
          "offers_third_party_delivery",
          "phone_number",
          "pickup_enabled",
          "store_photos",
          "supports_upc_codes",
          "type",
          "weighted_rating_value"
        ],
        "properties": {
          "_id": {
            "type": "string",
            "description": "MealMe ID of the store. Can be null in some cases.",
            "example": "7c0360a5-20f4-470a-b8a0-124a509ad827"
          },
          "name": {
            "type": "string",
            "description": "Name of the store",
            "example": "7-Eleven"
          },
          "phone_number": {
            "type": "integer",
            "description": "Phone number of the store",
            "example": 14158638332
          },
          "address": {
            "$ref": "#/components/schemas/Address",
            "description": ""
          },
          "type": {
            "type": "string",
            "description": "Type of the store, either \"grocery\" or \"restaurant\"",
            "example": "grocery"
          },
          "description": {
            "type": "string",
            "description": "Description of the store",
            "example": "Local convenience store with snacks, beverages, and more."
          },
          "local_hours": {
            "$ref": "#/components/schemas/Store_Local_Hours",
            "description": ""
          },
          "hours": {
            "description": "A mapping of quote ID(s) to their respective local hours.",
            "allOf": [
              {
                "$ref": "#/components/schemas/Store_Hours"
              }
            ]
          },
          "utc_hours": {
            "$ref": "#/components/schemas/Store_UTC_Hours",
            "description": ""
          },
          "cuisines": {
            "type": "array",
            "description": "The cuisine types",
            "example": [
              "Snacks",
              "Convenience",
              "Ice Cream"
            ],
            "items": {
              "type": "string",
              "description": "Cuisine of the store"
            }
          },
          "food_photos": {
            "type": "array",
            "description": "Photos of the food at the store",
            "example": [
              "https://cdn-img.mealme.ai/f9ccb38a3d986eeb3f25e5b021d85a73c5d492ba/68747470733a2f2f643172616c736f676e6a6e6733372e636c6f756466726f6e742e6e65742f65303762376261372d663036612d346237302d383861302d3466633932656261346236322e6a706567"
            ],
            "items": {
              "type": "string",
              "description": "Photo of the store"
            }
          },
          "logo_photos": {
            "type": "array",
            "description": "Photos of the store's logo",
            "example": [
              "https://cdn-img.mealme.ai/9a55bb89e411b1ef87210731a2e7f9fe850cc979/68747470733a2f2f6d656469612d63646e2e677275626875622e636f6d2f696d6167652f75706c6f61642f76313630313330373339332f656a6e376377756b74766537766e696867616b782e6a7067"
            ],
            "items": {
              "type": "string",
              "description": "Photo of the store's logo"
            }
          },
          "store_photos": {
            "type": "array",
            "description": "Photos of the store",
            "example": [
              "https://cdn-img.mealme.ai/7aba9346a8f2e1d8ecf453a86fe3be1b53f98270/68747470733a2f2f643172616c736f676e6a6e6733372e636c6f756466726f6e742e6e65742f36393264376333342d626465362d343337612d616435342d3961303633656333666161642e6a706567"
            ],
            "items": {
              "type": "string",
              "description": "Photo of the store"
            }
          },
          "dollar_signs": {
            "type": "integer",
            "description": "Estimated cost of the store, like 1 representing \"$\" or 2 representing \"$$\"",
            "example": 1
          },
          "pickup_enabled": {
            "type": "boolean",
            "description": "Whether the store supports pickup.",
            "example": false
          },
          "delivery_enabled": {
            "type": "boolean",
            "description": "Whether the store supports delivery.",
            "example": true
          },
          "is_open": {
            "type": "boolean",
            "description": "Whether the store is open. If null, then there is no data available on whether the store is open.",
            "example": true
          },
          "quotes": {
            "$ref": "#/components/schemas/Store_Quotes",
            "description": ""
          },
          "quote_types": {
            "$ref": "#/components/schemas/Store_Quote_Types",
            "description": ""
          },
          "offers_first_party_delivery": {
            "type": "boolean",
            "description": "Whether or not the store delivers directly.",
            "example": false
          },
          "offers_third_party_delivery": {
            "type": "boolean",
            "description": "Whether or not the store delivers with third-party services.",
            "example": false
          },
          "miles": {
            "type": "number",
            "description": "Miles from the user to the store",
            "example": 0.23
          },
          "weighted_rating_value": {
            "type": "number",
            "description": "The weighted average rating of this store across all the websites it appears on. Floating-point from 1 to 5 (inclusive) or 0.",
            "example": 4.83
          },
          "aggregated_rating_count": {
            "type": "integer",
            "description": "Number of total aggregated ratings for this store across all the websites it appears on. Non-negative integer.",
            "example": 956
          },
          "supports_upc_codes": {
            "type": "boolean",
            "description": "Whether the store's inventory supports UPC codes.",
            "example": false
          }
        },
        "type": "object"
      },
      "Address": {
        "required": [
          "city",
          "country",
          "latitude",
          "longitude",
          "state",
          "street_addr",
          "street_addr_2",
          "zipcode"
        ],
        "properties": {
          "street_addr": {
            "type": "string",
            "description": "Street Address",
            "example": "1390 Market Street"
          },
          "city": {
            "type": "string",
            "description": "City",
            "example": "San Francisco"
          },
          "state": {
            "type": "string",
            "description": "State abbreviation",
            "example": "CA"
          },
          "zipcode": {
            "type": "string",
            "description": "Zipcode",
            "example": "94102"
          },
          "country": {
            "type": "string",
            "description": "Country abbreviation",
            "example": "US"
          },
          "street_addr_2": {
            "type": "string",
            "description": "Street Address 2",
            "example": "Apt. 123"
          },
          "latitude": {
            "type": "number",
            "description": "Latitude",
            "example": 37.77709
          },
          "longitude": {
            "type": "number",
            "description": "Longitude",
            "example": -122.4172976
          }
        },
        "type": "object"
      },
      "Quote": {
        "required": [
          "accepts_delivery_tip",
          "accepts_pickup_note",
          "accepts_pickup_tip",
          "asap_available",
          "courier_quote",
          "delivery_fee",
          "first_party_quote",
          "is_final_pricing",
          "order_minimum",
          "sales_tax_percent",
          "service_fee",
          "small_order_fee",
          "third_party_quote",
          "time_estimate"
        ],
        "properties": {
          "time_estimate": {
            "$ref": "#/components/schemas/Time_Estimate",
            "description": ""
          },
          "sales_tax_percent": {
            "type": "integer",
            "description": "Sales tax in percentage terms"
          },
          "delivery_fee": {
            "$ref": "#/components/schemas/Delivery_Fee_Estimate",
            "description": ""
          },
          "service_fee": {
            "$ref": "#/components/schemas/Service_Fee_Estimate",
            "description": ""
          },
          "small_order_fee": {
            "$ref": "#/components/schemas/Small_Order_Fee_Estimate",
            "description": ""
          },
          "order_minimum": {
            "type": "integer",
            "description": "Minimum order amount in cents"
          },
          "min_tip": {
            "type": "integer",
            "description": "Almost always null. Minimum required tip, in cents, for drivers on some delivery services."
          },
          "asap_available": {
            "type": "integer",
            "description": "Whether ASAP ordering is currently available. If `asap_available=false`, then only scheduled delivery/pickup is available."
          },
          "first_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by the store"
          },
          "third_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a third party service"
          },
          "courier_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a last-mile delivery service."
          },
          "accepts_delivery_tip": {
            "type": "boolean",
            "description": "Whether a delivery tip is accepted."
          },
          "accepts_pickup_tip": {
            "type": "boolean",
            "description": "Whether a pickup tip is accepted."
          },
          "accepts_pickup_note": {
            "type": "boolean",
            "description": "Whether a pickup note is accepted."
          },
          "is_final_pricing": {
            "type": "boolean",
            "description": "Whether the pricing (i.e. service fee, sales tax, etc.) is final. If `is_final_pricing` is `false`, the final pricing will only be available after the cart is finalized and an [Create Order](https://docs.mealme.ai/reference/post_order_v4) request is made."
          }
        },
        "type": "object"
      },
      "Error_-_Unauthorized": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The reason authentication failed.",
            "example": "Incorrect API key"
          }
        },
        "type": "object"
      },
      "Error_-_Input_Validation": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The description of the incorrect input value.",
            "example": "Missing/Invalid required input parameter: <parameter>"
          }
        },
        "type": "object"
      },
      "Store_Local_Hours": {
        "properties": {
          "operational": {
            "$ref": "#/components/schemas/Store_Operational_Hours",
            "description": ""
          },
          "delivery": {
            "$ref": "#/components/schemas/Store_Delivery_Hours",
            "description": ""
          },
          "pickup": {
            "$ref": "#/components/schemas/Store_Pickup_Hours",
            "description": ""
          },
          "dine_in": {
            "$ref": "#/components/schemas/Store_Dine-in_Hours",
            "description": ""
          }
        },
        "type": "object"
      },
      "Store_Operational_Hours": {
        "properties": {
          "Monday": {
            "type": "string",
            "description": "This is an example of a normal operational time window. Hours and minutes are pre-padded with 0’s if their value is less than 10. “AM/PM“ are always used. “-“ denotes range between open and close time. ",
            "example": "09:30AM - 01:00AM"
          },
          "Tuesday": {
            "type": "string",
            "description": "Multiple opening/closing times for a single day are comma delimited. There can be 1 to many opening/closing times for a given day. ",
            "example": "09:00AM - 2:00PM, 5:00PM - 9:30PM"
          },
          "Wednesday": {
            "type": "string",
            "description": "If a restaurant is opens at midnight, it will show as above. ",
            "example": "12:00AM - 4:00PM"
          },
          "Thursday": {
            "type": "string",
            "description": "If a restaurants closing time is in the “AM“, it is open into the next day. If a restaurants closing time is lower than it's opening time, it is open into the next day.",
            "example": "8:00AM - 4:00AM"
          },
          "Friday": {
            "type": "string",
            "description": "If a restaurant is open until midnight, it will show as above.",
            "example": "10:00AM - 12:00AM"
          },
          "Saturday": {
            "type": "string",
            "description": "If a restaurant shows “Closed“, it is closed for that day.",
            "example": "Closed"
          },
          "Sunday": {
            "type": "string",
            "description": "If a restaurant shows “Open 24 hours“, it is open for that entire day.",
            "example": "Open 24 hours"
          }
        },
        "type": "object"
      },
      "Store_Delivery_Hours": {
        "properties": {
          "Monday": {
            "type": "string",
            "description": "This is an example of a normal operational time window. Hours and minutes are pre-padded with 0’s if their value is less than 10. “AM/PM“ are always used. “-“ denotes range between open and close time. ",
            "example": "09:30AM - 01:00AM"
          },
          "Tuesday": {
            "type": "string",
            "description": "Multiple opening/closing times for a single day are comma delimited. There can be 1 to many opening/closing times for a given day. ",
            "example": "09:00AM - 2:00PM, 5:00PM - 9:30PM"
          },
          "Wednesday": {
            "type": "string",
            "description": "If a restaurant is opens at midnight, it will show as above. ",
            "example": "12:00AM - 4:00PM"
          },
          "Thursday": {
            "type": "string",
            "description": "If a restaurants closing time is in the “AM“, it is open into the next day. If a restaurants closing time is lower than it's opening time, it is open into the next day.",
            "example": "8:00AM - 4:00AM"
          },
          "Friday": {
            "type": "string",
            "description": "If a restaurant is open until midnight, it will show as above.",
            "example": "10:00AM - 12:00AM"
          },
          "Saturday": {
            "type": "string",
            "description": "If a restaurant shows “Closed“, it is closed for that day.",
            "example": "Closed"
          },
          "Sunday": {
            "type": "string",
            "description": "If a restaurant shows “Open 24 hours“, it is open for that entire day.",
            "example": "Open 24 hours"
          }
        },
        "type": "object"
      },
      "Store_Pickup_Hours": {
        "properties": {
          "Monday": {
            "type": "string",
            "description": "This is an example of a normal operational time window. Hours and minutes are pre-padded with 0’s if their value is less than 10. “AM/PM“ are always used. “-“ denotes range between open and close time. ",
            "example": "09:30AM - 01:00AM"
          },
          "Tuesday": {
            "type": "string",
            "description": "Multiple opening/closing times for a single day are comma delimited. There can be 1 to many opening/closing times for a given day. ",
            "example": "09:00AM - 2:00PM, 5:00PM - 9:30PM"
          },
          "Wednesday": {
            "type": "string",
            "description": "If a restaurant is opens at midnight, it will show as above. ",
            "example": "12:00AM - 4:00PM"
          },
          "Thursday": {
            "type": "string",
            "description": "If a restaurants closing time is in the “AM“, it is open into the next day. If a restaurants closing time is lower than it's opening time, it is open into the next day.",
            "example": "8:00AM - 4:00AM"
          },
          "Friday": {
            "type": "string",
            "description": "If a restaurant is open until midnight, it will show as above.",
            "example": "10:00AM - 12:00AM"
          },
          "Saturday": {
            "type": "string",
            "description": "If a restaurant shows “Closed“, it is closed for that day.",
            "example": "Closed"
          },
          "Sunday": {
            "type": "string",
            "description": "If a restaurant shows “Open 24 hours“, it is open for that entire day.",
            "example": "Open 24 hours"
          }
        },
        "type": "object"
      },
      "Store_Dine-in_Hours": {
        "properties": {
          "Monday": {
            "type": "string",
            "description": "This is an example of a normal operational time window. Hours and minutes are pre-padded with 0’s if their value is less than 10. “AM/PM“ are always used. “-“ denotes range between open and close time. ",
            "example": "09:30AM - 01:00AM"
          },
          "Tuesday": {
            "type": "string",
            "description": "Multiple opening/closing times for a single day are comma delimited. There can be 1 to many opening/closing times for a given day. ",
            "example": "09:00AM - 2:00PM, 5:00PM - 9:30PM"
          },
          "Wednesday": {
            "type": "string",
            "description": "If a restaurant is opens at midnight, it will show as above. ",
            "example": "12:00AM - 4:00PM"
          },
          "Thursday": {
            "type": "string",
            "description": "If a restaurants closing time is in the “AM“, it is open into the next day. If a restaurants closing time is lower than it's opening time, it is open into the next day.",
            "example": "8:00AM - 4:00AM"
          },
          "Friday": {
            "type": "string",
            "description": "If a restaurant is open until midnight, it will show as above.",
            "example": "10:00AM - 12:00AM"
          },
          "Saturday": {
            "type": "string",
            "description": "If a restaurant shows “Closed“, it is closed for that day.",
            "example": "Closed"
          },
          "Sunday": {
            "type": "string",
            "description": "If a restaurant shows “Open 24 hours“, it is open for that entire day.",
            "example": "Open 24 hours"
          }
        },
        "type": "object"
      },
      "Store_Hours": {
        "properties": {
          "*": {
            "$ref": "#/components/schemas/Store_Local_Hours",
            "description": ""
          }
        },
        "type": "object"
      },
      "Store_UTC_Hours": {
        "properties": {
          "operational": {
            "$ref": "#/components/schemas/Store_Operational_UTC_Hours",
            "description": ""
          },
          "delivery": {
            "$ref": "#/components/schemas/Store_Delivery_UTC_Hours",
            "description": ""
          },
          "pickup": {
            "$ref": "#/components/schemas/Store_Pickup_UTC_Hours",
            "description": ""
          },
          "dine_in": {
            "$ref": "#/components/schemas/Store_Dine-in_UTC_Hours",
            "description": ""
          }
        },
        "type": "object"
      },
      "Store_Operational_UTC_Hours": {
        "required": [
          "Friday",
          "Monday",
          "Saturday",
          "Sunday",
          "Thursday",
          "Tuesday",
          "Wednesday"
        ],
        "properties": {
          "Monday": {
            "type": "array",
            "description": "The list of opening and closing times on Monday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Tuesday": {
            "type": "array",
            "description": "The list of opening and closing times on Tuesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Wednesday": {
            "type": "array",
            "description": "The list of opening and closing times on Wednesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Thursday": {
            "type": "array",
            "description": "The list of opening and closing times on Thursday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Friday": {
            "type": "array",
            "description": "The list of opening and closing times on Friday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Saturday": {
            "type": "array",
            "description": "The list of opening and closing times on Saturday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Sunday": {
            "type": "array",
            "description": "The list of opening and closing times on Sunday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          }
        },
        "type": "object"
      },
      "Open_Hours_Window": {
        "required": [
          "closed",
          "open"
        ],
        "properties": {
          "open": {
            "type": "string",
            "description": "The store opening UTC time.",
            "example": "01:00:00+00:00"
          },
          "closed": {
            "type": "string",
            "description": "The store closing UTC time.",
            "example": "17:00:00+00:00"
          }
        },
        "type": "object"
      },
      "Store_Delivery_UTC_Hours": {
        "required": [
          "Friday",
          "Monday",
          "Saturday",
          "Sunday",
          "Thursday",
          "Tuesday",
          "Wednesday"
        ],
        "properties": {
          "Monday": {
            "type": "array",
            "description": "The list of opening and closing times on Monday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Tuesday": {
            "type": "array",
            "description": "The list of opening and closing times on Tuesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Wednesday": {
            "type": "array",
            "description": "The list of opening and closing times on Wednesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Thursday": {
            "type": "array",
            "description": "The list of opening and closing times on Thursday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Friday": {
            "type": "array",
            "description": "The list of opening and closing times on Friday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Saturday": {
            "type": "array",
            "description": "The list of opening and closing times on Saturday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Sunday": {
            "type": "array",
            "description": "The list of opening and closing times on Sunday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          }
        },
        "type": "object"
      },
      "Store_Pickup_UTC_Hours": {
        "required": [
          "Friday",
          "Monday",
          "Saturday",
          "Sunday",
          "Thursday",
          "Tuesday",
          "Wednesday"
        ],
        "properties": {
          "Monday": {
            "type": "array",
            "description": "The list of opening and closing times on Monday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Tuesday": {
            "type": "array",
            "description": "The list of opening and closing times on Tuesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Wednesday": {
            "type": "array",
            "description": "The list of opening and closing times on Wednesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Thursday": {
            "type": "array",
            "description": "The list of opening and closing times on Thursday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Friday": {
            "type": "array",
            "description": "The list of opening and closing times on Friday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Saturday": {
            "type": "array",
            "description": "The list of opening and closing times on Saturday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Sunday": {
            "type": "array",
            "description": "The list of opening and closing times on Sunday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          }
        },
        "type": "object"
      },
      "Store_Dine-in_UTC_Hours": {
        "required": [
          "Friday",
          "Monday",
          "Saturday",
          "Sunday",
          "Thursday",
          "Tuesday",
          "Wednesday"
        ],
        "properties": {
          "Monday": {
            "type": "array",
            "description": "The list of opening and closing times on Monday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Tuesday": {
            "type": "array",
            "description": "The list of opening and closing times on Tuesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Wednesday": {
            "type": "array",
            "description": "The list of opening and closing times on Wednesday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Thursday": {
            "type": "array",
            "description": "The list of opening and closing times on Thursday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Friday": {
            "type": "array",
            "description": "The list of opening and closing times on Friday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Saturday": {
            "type": "array",
            "description": "The list of opening and closing times on Saturday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          },
          "Sunday": {
            "type": "array",
            "description": "The list of opening and closing times on Sunday.",
            "items": {
              "$ref": "#/components/schemas/Open_Hours_Window"
            }
          }
        },
        "type": "object"
      },
      "Store_Quotes": {
        "properties": {
          "cheapest_delivery": {
            "example": {
              "time_estimate": {
                "minimum": 43,
                "maximum": 45
              },
              "sales_tax_percent": 10.5,
              "delivery_fee": {
                "delivery_fee_flat": 0,
                "delivery_fee_percent": 0,
                "delivery_fee_taxable": false
              },
              "service_fee": {
                "service_fee_flat": 0,
                "service_fee_percent": 10,
                "service_fee_min": 300,
                "service_fee_max": 700,
                "service_fee_taxable": false
              },
              "small_order_fee": {
                "minimum_order_value": 0,
                "small_order_fee_flat": 0,
                "small_order_fee_percent": 0
              },
              "order_minimum": 1500,
              "threshold_fees": [],
              "asap_available": true
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Cheapest_Store_Quote"
              }
            ],
            "description": ""
          },
          "fastest_delivery": {
            "example": {
              "time_estimate": {
                "minimum": 15,
                "maximum": 30
              },
              "sales_tax_percent": 10.5,
              "delivery_fee": {
                "delivery_fee_flat": 199,
                "delivery_fee_percent": 0,
                "delivery_fee_taxable": false
              },
              "service_fee": {
                "service_fee_flat": 0,
                "service_fee_percent": 5
              },
              "small_order_fee": {
                "minimum_order_value": 1200,
                "small_order_fee_flat": 200,
                "small_order_fee_percent": 0
              },
              "order_minimum": 0,
              "threshold_fees": [
                {
                  "threshold_cents": 10000,
                  "threshold_fee_cents": 1000
                },
                {
                  "threshold_cents": 20000,
                  "threshold_fee_cents": 2000
                }
              ]
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Fastest_Store_Quote"
              }
            ],
            "description": ""
          },
          "pickup": {
            "example": {
              "time_estimate": {
                "minimum": 5,
                "maximum": 5
              },
              "sales_tax_percent": 10.5,
              "delivery_fee": {
                "delivery_fee_flat": 0,
                "delivery_fee_percent": 0,
                "delivery_fee_taxable": false
              },
              "service_fee": {
                "service_fee_flat": 0,
                "service_fee_percent": 0
              },
              "small_order_fee": {
                "minimum_order_value": 1200,
                "small_order_fee_flat": 200,
                "small_order_fee_percent": 0
              },
              "order_minimum": 100,
              "threshold_fees": []
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Pickup_Store"
              }
            ],
            "description": ""
          }
        },
        "type": "object"
      },
      "Cheapest_Store_Quote": {
        "required": [
          "accepts_delivery_tip",
          "accepts_pickup_note",
          "accepts_pickup_tip",
          "asap_available",
          "courier_quote",
          "delivery_fee",
          "first_party_quote",
          "is_final_pricing",
          "order_minimum",
          "sales_tax_percent",
          "service_fee",
          "small_order_fee",
          "third_party_quote",
          "time_estimate"
        ],
        "properties": {
          "time_estimate": {
            "$ref": "#/components/schemas/Time_Estimate",
            "description": ""
          },
          "sales_tax_percent": {
            "type": "integer",
            "description": "Sales tax in percentage terms"
          },
          "delivery_fee": {
            "$ref": "#/components/schemas/Delivery_Fee_Estimate",
            "description": ""
          },
          "service_fee": {
            "$ref": "#/components/schemas/Service_Fee_Estimate",
            "description": ""
          },
          "small_order_fee": {
            "$ref": "#/components/schemas/Small_Order_Fee_Estimate",
            "description": ""
          },
          "order_minimum": {
            "type": "integer",
            "description": "Minimum order amount in cents"
          },
          "min_tip": {
            "type": "integer",
            "description": "Almost always null. Minimum required tip, in cents, for drivers on some delivery services."
          },
          "asap_available": {
            "type": "integer",
            "description": "Whether ASAP ordering is currently available. If `asap_available=false`, then only scheduled delivery/pickup is available."
          },
          "first_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by the store"
          },
          "third_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a third party service"
          },
          "courier_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a last-mile delivery service."
          },
          "accepts_delivery_tip": {
            "type": "boolean",
            "description": "Whether a delivery tip is accepted."
          },
          "accepts_pickup_tip": {
            "type": "boolean",
            "description": "Whether a pickup tip is accepted."
          },
          "accepts_pickup_note": {
            "type": "boolean",
            "description": "Whether a pickup note is accepted."
          },
          "is_final_pricing": {
            "type": "boolean",
            "description": "Whether the pricing (i.e. service fee, sales tax, etc.) is final. If `is_final_pricing` is `false`, the final pricing will only be available after the cart is finalized and an [Create Order](https://docs.mealme.ai/reference/post_order_v4) request is made."
          }
        },
        "type": "object"
      },
      "Time_Estimate": {
        "required": [
          "maximum",
          "minimum"
        ],
        "properties": {
          "minimum": {
            "type": "integer",
            "description": "Lower bound of delivery time estimate (in minutes)"
          },
          "maximum": {
            "type": "integer",
            "description": "Upper bound of delivery time estimate (in minutes)"
          },
          "scheduled": {
            "type": "array",
            "description": "List of scheduled time windows, along with their respective delivery fee, for delivery orders",
            "items": {
              "$ref": "#/components/schemas/Scheduled_Time"
            }
          }
        },
        "type": "object"
      },
      "Scheduled_Time": {
        "required": [
          "delivery_fee",
          "maximum",
          "minimum"
        ],
        "properties": {
          "minimum": {
            "type": "integer",
            "description": "Timestamp (seconds since 1970)"
          },
          "maximum": {
            "type": "integer",
            "description": "Timestamp (seconds since 1970)"
          },
          "delivery_fee": {
            "$ref": "#/components/schemas/Delivery_Fee_Estimate",
            "description": ""
          }
        },
        "type": "object"
      },
      "Delivery_Fee_Estimate": {
        "required": [
          "delivery_fee_flat",
          "delivery_fee_percent"
        ],
        "properties": {
          "delivery_fee_flat": {
            "type": "integer",
            "description": "Delivery fee amount in cents"
          },
          "delivery_fee_percent": {
            "type": "number",
            "description": "Delivery fee percentage"
          },
          "delivery_fee_taxable": {
            "type": "boolean",
            "description": "Whether the delivery fee is taxable or not"
          },
          "threshold_fees": {
            "type": "array",
            "description": "Threshold Fees, if they exist",
            "items": {
              "$ref": "#/components/schemas/Threshold_Fee"
            }
          }
        },
        "type": "object"
      },
      "Threshold_Fee": {
        "required": [
          "threshold_cents",
          "threshold_fee_cents"
        ],
        "properties": {
          "threshold_cents": {
            "type": "integer",
            "description": "Subtotal that enacts a specific fee"
          },
          "threshold_fee_cents": {
            "type": "integer",
            "description": "Flat delivery fee that will be charged for this threshold_cents"
          }
        },
        "type": "object"
      },
      "Service_Fee_Estimate": {
        "required": [
          "service_fee_flat",
          "service_fee_percent"
        ],
        "properties": {
          "service_fee_flat": {
            "type": "integer",
            "description": "Service fee amount in cents"
          },
          "service_fee_percent": {
            "type": "number",
            "description": "Service fee percentage from 0 to 100"
          },
          "service_fee_min": {
            "type": "integer",
            "description": "Minimum service fee amount in cents"
          },
          "service_fee_max": {
            "type": "integer",
            "description": "Maximum service fee amount in cents"
          },
          "service_fee_taxable": {
            "type": "boolean",
            "description": "Whether the service fee is taxable or not"
          },
          "threshold_fees": {
            "type": "array",
            "description": "Threshold Fees, if they exist",
            "items": {
              "$ref": "#/components/schemas/Threshold_Fee"
            }
          }
        },
        "type": "object"
      },
      "Small_Order_Fee_Estimate": {
        "required": [
          "minimum_order_value",
          "small_order_fee_flat",
          "small_order_fee_percent"
        ],
        "properties": {
          "minimum_order_value": {
            "type": "integer",
            "description": "Minimum amount to not incur small order fee in cents",
            "example": 0
          },
          "small_order_fee_flat": {
            "type": "integer",
            "description": "Small order fee amount in cents",
            "example": 0
          },
          "small_order_fee_percent": {
            "type": "number",
            "description": "Small order fee percentage",
            "example": 0
          }
        },
        "type": "object"
      },
      "Fastest_Store_Quote": {
        "required": [
          "accepts_delivery_tip",
          "accepts_pickup_note",
          "accepts_pickup_tip",
          "asap_available",
          "courier_quote",
          "delivery_fee",
          "first_party_quote",
          "is_final_pricing",
          "order_minimum",
          "sales_tax_percent",
          "service_fee",
          "small_order_fee",
          "third_party_quote",
          "time_estimate"
        ],
        "properties": {
          "time_estimate": {
            "$ref": "#/components/schemas/Time_Estimate",
            "description": ""
          },
          "sales_tax_percent": {
            "type": "integer",
            "description": "Sales tax in percentage terms"
          },
          "delivery_fee": {
            "$ref": "#/components/schemas/Delivery_Fee_Estimate",
            "description": ""
          },
          "service_fee": {
            "$ref": "#/components/schemas/Service_Fee_Estimate",
            "description": ""
          },
          "small_order_fee": {
            "$ref": "#/components/schemas/Small_Order_Fee_Estimate",
            "description": ""
          },
          "order_minimum": {
            "type": "integer",
            "description": "Minimum order amount in cents"
          },
          "min_tip": {
            "type": "integer",
            "description": "Almost always null. Minimum required tip, in cents, for drivers on some delivery services."
          },
          "asap_available": {
            "type": "integer",
            "description": "Whether ASAP ordering is currently available. If `asap_available=false`, then only scheduled delivery/pickup is available."
          },
          "first_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by the store"
          },
          "third_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a third party service"
          },
          "courier_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a last-mile delivery service."
          },
          "accepts_delivery_tip": {
            "type": "boolean",
            "description": "Whether a delivery tip is accepted."
          },
          "accepts_pickup_tip": {
            "type": "boolean",
            "description": "Whether a pickup tip is accepted."
          },
          "accepts_pickup_note": {
            "type": "boolean",
            "description": "Whether a pickup note is accepted."
          },
          "is_final_pricing": {
            "type": "boolean",
            "description": "Whether the pricing (i.e. service fee, sales tax, etc.) is final. If `is_final_pricing` is `false`, the final pricing will only be available after the cart is finalized and an [Create Order](https://docs.mealme.ai/reference/post_order_v4) request is made."
          }
        },
        "type": "object"
      },
      "Pickup_Store": {
        "required": [
          "accepts_delivery_tip",
          "accepts_pickup_note",
          "accepts_pickup_tip",
          "asap_available",
          "courier_quote",
          "delivery_fee",
          "first_party_quote",
          "is_final_pricing",
          "order_minimum",
          "sales_tax_percent",
          "service_fee",
          "small_order_fee",
          "third_party_quote",
          "time_estimate"
        ],
        "properties": {
          "time_estimate": {
            "$ref": "#/components/schemas/Time_Estimate",
            "description": ""
          },
          "sales_tax_percent": {
            "type": "integer",
            "description": "Sales tax in percentage terms"
          },
          "delivery_fee": {
            "$ref": "#/components/schemas/Delivery_Fee_Estimate",
            "description": ""
          },
          "service_fee": {
            "$ref": "#/components/schemas/Service_Fee_Estimate",
            "description": ""
          },
          "small_order_fee": {
            "$ref": "#/components/schemas/Small_Order_Fee_Estimate",
            "description": ""
          },
          "order_minimum": {
            "type": "integer",
            "description": "Minimum order amount in cents"
          },
          "min_tip": {
            "type": "integer",
            "description": "Almost always null. Minimum required tip, in cents, for drivers on some delivery services."
          },
          "asap_available": {
            "type": "integer",
            "description": "Whether ASAP ordering is currently available. If `asap_available=false`, then only scheduled delivery/pickup is available."
          },
          "first_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by the store"
          },
          "third_party_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a third party service"
          },
          "courier_quote": {
            "type": "boolean",
            "description": "Whether this quote is provided by a last-mile delivery service."
          },
          "accepts_delivery_tip": {
            "type": "boolean",
            "description": "Whether a delivery tip is accepted."
          },
          "accepts_pickup_tip": {
            "type": "boolean",
            "description": "Whether a pickup tip is accepted."
          },
          "accepts_pickup_note": {
            "type": "boolean",
            "description": "Whether a pickup note is accepted."
          },
          "is_final_pricing": {
            "type": "boolean",
            "description": "Whether the pricing (i.e. service fee, sales tax, etc.) is final. If `is_final_pricing` is `false`, the final pricing will only be available after the cart is finalized and an [Create Order](https://docs.mealme.ai/reference/post_order_v4) request is made."
          }
        },
        "type": "object"
      },
      "Store_Quote_Types": {
        "properties": {
          "<quote id>": {
            "type": "array",
            "description": "The list of quote types available for this quote id.",
            "items": {
              "type": "string",
              "description": "Quote Type",
              "example": "pickup",
              "enum": [
                "pickup",
                "delivery"
              ]
            }
          }
        },
        "type": "object"
      },
      "Too_Many_Requests": {
        "required": [
          "error"
        ],
        "properties": {
          "error": {
            "type": "string",
            "description": "The encountered rate limit description.",
            "example": "10 per 1 second(s)!"
          }
        },
        "type": "object"
      },
      "Store_Cart_Search_Output": {
        "required": [
          "carts"
        ],
        "properties": {
          "carts": {
            "type": "array",
            "description": "List of resulting carts",
            "example": [
              {
                "products": {
                  "Whole Milk": [
                    {
                      "product_id": "gAAAAABi6Y6X17Oe4mBPObpYx0QjQuHT3PFHXgvy0fL0wLVEnD_zvAIluS1467rnlk05jzxSQ7QiK_yG8VDEhPjdkZhjICapPtrXjQgJ82UTnDrd9US5VKa-qU9bqHlZuhy0bRWNii74t6WKPrKNbSI64B6oeiaiW5S3XZ6PiAf_Lj1jgdybbJ4W6qj2SWZJBK20EclqZ2U4xvVFaQpX7aGciBjDA2vdNgx6rVsXBnPYTdIddbQrSi3NjiG1uc_BrZTBqsvaor4MEM31JZEl6DJsHEn32BzAgeIDq8NbYjwA-CYebohDK5pWs2pHXHLAz0gZ5tfNfxaw7TrxFBMFwjrWBzfmgcIC2FG2KwUq0ojFSEP6fcV9DlIqTAXiyeBub_YimU6xXILb6jI8jYAYTNzBnEcbcdI2OsVD12vbYz9A46fVN5oUbf-h8_NyNPGUAm7feeTJWWarcgifLAWwbKurI0q3qvc_Iupx8jHpUMPOTB1vWGUj9997F9ENSXoTMcuW8XxcxN5qPIBF7-DyMRPjcR8PcqSwaGG9hgRtm0WpRNrmtFlaTTgyn1PiP-fWXs2xYZ8SDB4X4Zi57YlJaGKM77OrBOmZIA==",
                      "item_name": "Lactaid Whole Milk",
                      "image": "https://d2lnr5mha7bycj.cloudfront.net/product-image/file/large_7ed5cc83-e633-4aae-8304-9dffe6dc74bd.jpg",
                      "description": "Fresh whole milk.",
                      "category": "Milk",
                      "price": 639,
                      "formatted_price": "$6.39",
                      "upc_codes": [],
                      "unit_size": 0.5,
                      "unit_of_measurement": "gal",
                      "attributes": [
                        "Dairy-Free",
                        "Lactose-Free",
                        "Soy-Free"
                      ],
                      "should_fetch_customizations": true
                    }
                  ],
                  "Eggs": [
                    {
                      "product_id": "gAAAAABi6Y6X17Oe4mBPObpYx0QjQuHT3PFHXgvy0fL0wLVEnD_zvAIluS1467rnlk05jzxSQ7QiK_yG8VDEhPjdkZhjICapPtrXjQgJ82UTnDrd9US5VKa-qU9bqHlZuhy0bRWNii74t6WKPrKNbSI64B6oeiaiW5S3XZ6PiAf_Lj1jgdybbJ4W6qj2SWZJBK20EclqZ2U4xvVFaQpX7aGciBjDA2vdNgx6rVsXBnPYTdIddbQrSi3NjiG1uc_BrZTBqsvaor4MEM31JZEl6DJsHEn32BzAgeIDq8NbYjwA-CYebohDK5pWs2pHXHLAz0gZ5tfNfxaw7TrxFBMFwjrWBzfmgcIC2FG2KwUq0ojFSEP6fcV9DlIqTAXiyeBub_YimU6xXILb6jI8jYAYTNzBnEcbcdI2OsVD12vbYz9A46fVN5oUbf-h8_NyNPGUAm7feeTJWWarcgifLAWwbKurI0q3qvc_Iupx8jHpUMPOTB1vWGUj9997F9ENSXoTMcuW8XxcxN5qPIBF7-DyMRPjcR8PcqSwaGG9hgRtm0WpRNrmtFlaTTgyn1PiP-fWXs2xYZ8SDB4X4Zi57YlJaGKM77OrBOmZIA==",
                      "item_name": "O Organics Eggs, Brown, Large, Pasture-Raised",
                      "image": "https://d2lnr5mha7bycj.cloudfront.net/product-image/file/large_7ed5cc83-e633-4aae-8304-9dffe6dc74bd.jpg",
                      "description": "Fresh brown dozen eggs",
                      "price": 700,
                      "formatted_price": "$7.00",
                      "upc_codes": [],
                      "unit_size": 1,
                      "unit_of_measurement": "dozen",
                      "attributes": [
                        "Low Sugar"
                      ],
                      "should_fetch_customizations": true
                    }
                  ]
                },
                "menu_id": "gAAAAABi6Y6XqcCj9PQmqFBLgkKDz8gqIsNhcAdSHtOTPKq8QTFrmHuxafS2SvK9PKFF_zv7IT5EV78cRNpvICrbnfnw5Jblq3QBkDojX2fpGksN8TAEpgC9PHtqQyewvq-WcPXpK4Lk0_4G71pwECFtqC0R-KkHoa4GYPLGt34LZYfe2DOE9B4jTWzsBgCjCFTzyX7AUS3Y0ZMWAeKjCEjZ_BHCN45ACSlYOigNxZ5FCBNXRgrwJIHyTENU1z_o_eeFgXqFWdD6ccefU8ZSnwc9lw_JCcO1Y5Etr-j0CExxlGsSNhEZT3AtoEZiCYiqvBXbU7b3V-6S",
                "grand_total": 2067,
                "store": {
                  "_id": "754d773d-ea03-46fb-b7dc-8e40f855fd1e",
                  "name": "O Organics Market",
                  "phone_number": 14159746822,
                  "address": {
                    "street_addr": "145 Jackson St, Unit 1",
                    "city": "San Francisco",
                    "state": "CA",
                    "zipcode": "94188",
                    "country": "US",
                    "street_addr_2": "",
                    "latitude": 37.7974,
                    "longitude": -122.4001
                  },
                  "type": "grocery",
                  "description": "Get what you love from O Organics Market - delivered to you.",
                  "local_hours": {
                    "operational": {
                      "Monday": "06:00AM - 11:00PM",
                      "Tuesday": "06:00AM - 11:00PM",
                      "Wednesday": "06:00AM - 11:00PM",
                      "Thursday": "06:00AM - 11:00PM",
                      "Friday": "06:00AM - 11:00PM",
                      "Saturday": "06:00AM - 11:00PM",
                      "Sunday": "06:00AM - 11:00PM"
                    },
                    "delivery": {
                      "Monday": "06:00AM - 11:00PM",
                      "Tuesday": "06:00AM - 11:00PM",
                      "Wednesday": "06:00AM - 11:00PM",
                      "Thursday": "06:00AM - 11:00PM",
                      "Friday": "06:00AM - 11:00PM",
                      "Saturday": "06:00AM - 11:00PM",
                      "Sunday": "06:00AM - 11:00PM"
                    },
                    "pickup": {
                      "Monday": "Closed",
                      "Tuesday": "Closed",
                      "Wednesday": "Closed",
                      "Thursday": "Closed",
                      "Friday": "Closed",
                      "Saturday": "Closed",
                      "Sunday": "Closed"
                    },
                    "dine_in": {
                      "Monday": "Closed",
                      "Tuesday": "Closed",
                      "Wednesday": "Closed",
                      "Thursday": "Closed",
                      "Friday": "Closed",
                      "Saturday": "Closed",
                      "Sunday": "Closed"
                    }
                  },
                  "food_photos": [
                    "https://cdn-img.mealme.ai/e272aeadc9769a74bbfa711ab76428ec3477ae5f/68747470733a2f2f73686f70706572732e696e737461636172742e636f6d2f68616c766f722f77617265686f7573652f6c6f676f2f3431332f35633566353332642d323839362d346639322d613635342d3164666434656563656632652e706e67"
                  ],
                  "logo_photos": [
                    "https://cdn-img.mealme.ai/e272aeadc9769a74bbfa711ab76428ec3477ae5f/68747470733a2f2f73686f70706572732e696e737461636172742e636f6d2f68616c766f722f77617265686f7573652f6c6f676f2f3431332f35633566353332642d323839362d346639322d613635342d3164666434656563656632652e706e67"
                  ],
                  "store_photos": [
                    "https://cdn-img.mealme.ai/e272aeadc9769a74bbfa711ab76428ec3477ae5f/68747470733a2f2f73686f70706572732e696e737461636172742e636f6d2f68616c766f722f77617265686f7573652f6c6f676f2f3431332f35633566353332642d323839362d346639322d613635342d3164666434656563656632652e706e67"
                  ],
                  "dollar_signs": 3,
                  "pickup_enabled": false,
                  "delivery_enabled": true,
                  "is_open": true,
                  "offers_first_party_delivery": false,
                  "offers_third_party_delivery": true,
                  "miles": 1.373605808923405,
                  "weighted_rating_value": 0,
                  "aggregated_rating_count": 0
                },
                "quote": {
                  "time_estimate": {
                    "minimum": 57,
                    "maximum": 67,
                    "scheduled": [
                      {
                        "id": "170352587",
                        "minimum": 1659470400,
                        "maximum": 1659477600,
                        "delivery_fee": {
                          "delivery_fee_flat": 399,
                          "delivery_fee_percent": 0,
                          "delivery_fee_taxable": true
                        }
                      },
                      {
                        "id": "1059732021",
                        "minimum": 1659481200,
                        "maximum": 1659488400,
                        "delivery_fee": {
                          "delivery_fee_flat": 399,
                          "delivery_fee_percent": 0,
                          "delivery_fee_taxable": true
                        }
                      }
                    ]
                  },
                  "sales_tax_percent": 11.65,
                  "order_minimum": 1100,
                  "delivery_fee": {
                    "delivery_fee_flat": 399,
                    "delivery_fee_percent": 0,
                    "delivery_fee_taxable": true,
                    "threshold_fees": []
                  },
                  "service_fee": {
                    "service_fee_flat": 0,
                    "service_fee_percent": 13.64,
                    "service_fee_min": 0,
                    "service_fee_taxable": false
                  },
                  "small_order_fee": {
                    "minimum_order_value": 0,
                    "small_order_fee_flat": 0,
                    "small_order_fee_percent": 0
                  }
                }
              }
            ],
            "items": {
              "$ref": "#/components/schemas/Store_Cart"
            }
          }
        },
        "type": "object"
      },
      "Store_Cart": {
        "required": [
          "grand_total",
          "menu_id",
          "products",
          "store"
        ],
        "properties": {
          "products": {
            "$ref": "#/components/schemas/Grocery_Store_Cart_Search_Products",
            "description": ""
          },
          "menu_id": {
            "type": "string",
            "description": "The cart's menu ID",
            "example": "gAAAAABisq4zjEh2BFV35vfjge4ZVQDyoBFZN-QvjUdpvEqBG5d4YSAwfBZ2oY3yQFdS3K7WyLnxuVPPhd5RlKwMGlQD3YpKCf9gzsBe6YcvzUD2mGoFR7Ucg8DT8OT1MkV_NkBKqPQ2YCFCGhGECsWfSatARHatM8XmN3oeTO7vNRQxoePbZxt0J_WMg7n24-kvMERLbtVpimIARjqu6AwVZ5yjr98TUWzP0rvQYQIUqCKHXPuxqW8NhEi0nPp2B_g10hCAkzPB6yYDvUTf-cp9VM9LXPXn6rtF3JherT-kBHwOE_Zh9ZAzZlqvnxl890Z-InD5h8Rw"
          },
          "quote": {
            "example": {
              "quote_id": "13881",
              "time_estimate": {
                "minimum": 15,
                "maximum": 30,
                "scheduled": [
                  {
                    "minimum": 1634760000,
                    "maximum": 1634770800,
                    "delivery_fee": {
                      "delivery_fee_flat": 199,
                      "delivery_fee_percent": 0,
                      "delivery_fee_taxable": true
                    }
                  },
                  {
                    "minimum": 1634803200,
                    "maximum": 1634814000,
                    "delivery_fee": {
                      "delivery_fee_flat": 199,
                      "delivery_fee_percent": 0,
                      "delivery_fee_taxable": true
                    }
                  }
                ]
              },
              "sales_tax_percent": 10.5,
              "delivery_fee": {
                "delivery_fee_flat": 199,
                "delivery_fee_percent": 0,
                "delivery_fee_taxable": false
              },
              "service_fee": {
                "service_fee_flat": 0,
                "service_fee_percent": 5
              },
              "small_order_fee": {
                "minimum_order_value": 1200,
                "small_order_fee_flat": 200,
                "small_order_fee_percent": 0
              },
              "order_minimum": 0,
              "threshold_fees": [
                {
                  "threshold_cents": 10000,
                  "threshold_fee_cents": 1000
                },
                {
                  "threshold_cents": 20000,
                  "threshold_fee_cents": 2000
                }
              ]
            },
            "allOf": [
              {
                "$ref": "#/components/schemas/Quote"
              }
            ],
            "description": ""
          },
          "grand_total": {
            "type": "integer",
            "description": "The cart's total price in cents, including any fees if `fetch_quotes=true`. The first product from each product list is used to calculate subtotal.",
            "example": 500
          },
          "store": {
            "$ref": "#/components/schemas/Store",
            "description": ""
          }
        },
        "type": "object"
      },
      "Grocery_Store_Cart_Search_Products": {
        "required": [
          "*"
        ],
        "properties": {
          "*": {
            "type": "array",
            "description": "List of product search results for a cart item query, sorted by relevance.",
            "items": {
              "$ref": "#/components/schemas/Store_Product"
            }
          }
        },
        "type": "object"
      },
      "Store_Product": {
        "required": [
          "attributes",
          "category",
          "description",
          "formatted_price",
          "image",
          "item_name",
          "original_price",
          "price",
          "product_id",
          "unit_of_measurement",
          "unit_size",
          "upc_codes"
        ],
        "properties": {
          "item_name": {
            "type": "string",
            "description": "The item's name",
            "example": "Lactaid Whole Milk"
          },
          "product_id": {
            "type": "string",
            "description": "The MealMe Product ID",
            "example": "gAAAAABi4c1c6Pha-EhoxdT36F0eojiGoUYNyt4Skz83vlTpmj4gRLkhlyzEB80wgWDhj_GRvZhVf12yKy17ApsrouqUJJAhfrbe9g5yQcHq6Y5fy59816Z0D71mXJC4_uOXzscvquBooBvavPEvZoz9TnsDIBZJ1zrNJAUDQUCsG0W-dWgmNfxDnx880FmC-e2ueJpMa9udEEyTFnptgQXLR5_enfIWFMacBmKzy72lzOak5WmxJtJ3F0DCJPRlSaEKPl3tYCDx5amzbbR-1xh7Q9tBCxycIEfjtjQRUEHYiGaNeWHwRaNk5Mve6qOC6ZAxAG_1CismNc3Svx5N7ztAfHbGbHGfvcfHIw1KSegbctfXGsDjGofcDM7gMpu-7H0vjgqhVI_Mbg1OJ71rK0mtvE9rQbnP-Tosdn2oM70DM5Y69fuS8eFDqoY1kkCtjZJXXQ8_erqOkjMgXZ7HJCAm3uYGd8P_GZqy2hzfpSBD6MIxlAuTfOVHySiC1_P6I97HAnaYiO90QFWFeAfI2Dx6ZB4p9ZYakdoiexpYLA-uUJ7jB7OT3Qlvuuh4VOmxdHOtgawgwYQe"
          },
          "image": {
            "type": "string",
            "description": "Image of the item, if it exists",
            "example": "https://cdn-img.mealme.ai/90d01ee227f564e9cfaeb4d5bc7f47260f6337de/68747470733a2f2f732e636f726e657273686f706170702e636f6d2f70726f647563742d696d616765732f323732353130382e6a70673f76657273696f6e49643d4f4e6d71622e55372e646b6d4a30777956706a6f454e54374b6571592e4d7962"
          },
          "description": {
            "type": "string",
            "description": "The item's description",
            "example": "Lactaid Whole Milk"
          },
          "category": {
            "type": "string",
            "description": "The item's category",
            "example": "Milk"
          },
          "price": {
            "type": "integer",
            "description": "The item's base price in cents",
            "example": 639
          },
          "formatted_price": {
            "type": "string",
            "description": "This item's price formatted in the store's accepted currency",
            "example": "$6.39"
          },
          "original_price": {
            "type": "integer",
            "description": "The product's original price. This will only be available if the product is currently on sale.",
            "example": 700
          },
          "unit_size": {
            "type": "number",
            "description": "The unit size for this product",
            "example": 1
          },
          "unit_of_measurement": {
            "type": "string",
            "description": "The unit of measurement used to measure the product's size (i.e. oz, lb, L, gal)",
            "example": "gal"
          },
          "attributes": {
            "type": "array",
            "items": {
              "type": "string",
              "description": "The list of dietary preferences for this product.",
              "example": [
                "Dairy-Free",
                "Lactose-Free",
                "Soy-Free"
              ]
            },
            "description": ""
          },
          "upc_codes": {
            "type": "array",
            "items": {
              "type": "string",
              "description": "The list of upc codes for this product",
              "example": [
                "12345"
              ]
            },
            "description": ""
          }
        },
        "type": "object"
      }
    }
  }
}
````